-- Options.lua : Options config

if select(6, GetAddOnInfo("Guilder_" .. (debugstack():match("[o%.][d%.][u%.]les\\(.-)\\") or ""))) ~= "MISSING" then return end

local _G = _G
local Guilder = _G.Guilder
local Guilder_Raid = Guilder:GetModule("Raid")
local L = LibStub("AceLocale-3.0"):GetLocale("Guilder")

Guilder_Raid:SetGlobalOptionsFunction(function(self)
	return "div", {
		type = "group",
		name = L["Raid Wizard Settings"],
		desc = "",
		inline = true,
		args = {
			desc = {
				type = "description",
				name = L["The Raid Wizard allows you to perform various raid related tasks. If an option is disabled, it is because you are not the raid leader or an assistant."],
				order = 0
			},
			h1 = {
				type = "header",
				name = L["Raid Rolling"],
				order = 1,
			},
			announceRoll = {
				type = "toggle",
				name = L["Raid Warning"],
				desc = L["Do you want to announce on raid warning that the roll is taking place?"],
				order = 4,
				get = function() return self.db.profile.announceRoll end,
				set = function(info, v) self.db.profile.announceRoll = v end
			},
			includeOffline = {
				type = "toggle",
				name = L["Include Offline"],
				desc = L["Do you want to include offline players?"],
				order = 3,
				get = function() return self.db.profile.includeOffline end,
				set = function(info, v) self.db.profile.includeOffline = v end
			},
			raidRoll = {
				type = "execute",
				name = L["Roll"],
				desc = L["Click here to do a raid roll"],
				order = 4,
				func = function() self:RaidRoll() end
			},
			h3 = {
				type = "header",
				name = L["Raid Instance Info"],
				order = 8
			},
			findIDsBy = {
				type = "select",
				name = L["Find By"],
				desc = L["Find IDs by Instance or by Player?"],
				order = 9,
				values = { ["instance"] = L["Instance"], ["player"] = L["Player"] },
				width = "half",
				get = function() return self.db.profile.findIDsBy end,
				set = function(info, v)
					self.db.profile.findIDsBy = v
					self:UpdateFindIDsBy()
				end
			},
			difficulty = {
				type = "select",
				name = L["Difficulty"],
				desc = L["Do you want to see Heroic or Normal instances?"],
				order = 10,
				values = { ["heroic"] = L["Heroic"], ["normal"] = L["Normal"] },
				width = "half",
				get = function() return self.db.profile.difficulty end,
				set = function(info, v)
					self.db.profile.difficulty = v
					self:UpdateFindIDsBy()
				end
			},
			find = {
				type = "select",
				name = L["Instance"],
				desc = L["Which instance's IDs do you want to see?"],
				order = 11,
				values = self:GetInstances(),
				get = function() return self.db.profile.which end,
				set = function(info, v) self.db.profile.which = v end
			},
			showIDs = {
				type = "execute",
				name = L["Show IDs"],
				desc = L["List the IDs?"],
				order = 12,
				func = function() self:ShowInstanceInfo() end
			}
		}
	}
end)
